Subject: [RFC/PATCH 0/2] Make git branch -f forceful

From: Michael J Gruber <[email-masked]>
Date: Thu, 4 Dec 2014 14:26:43 +0100

For many git commands, '-f/--force' is a way to force actions which
would otherwise error out. Way more than once, I've been trying this
with 'git branch -d' and 'git branch -m'...

I've had these two patches sitting in my tree for 3 years now it seems.
Here's a rebase.

Before applying these for food I should probably rename force_create to force.

Michael J Gruber (2):
  t3200-branch: test -M
  branch: allow -f with -m and -d

 builtin/branch.c  |  9 +++++++--
 t/t3200-branch.sh | 14 ++++++++++++++
 2 files changed, 21 insertions(+), 2 deletions(-)

-- 
2.2.0.rc3.286.g888a711